Create a Flow from a Child Node - Cognigy Documentation
Create a Flow from a Child Node
POST /v2.0/flows/{flowId}/chart/nodes/childflow
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/childflow \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"nodeId": "<string>",
"newFlowName": "<string>"
}'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/childflow"
payload = {
"nodeId": "<string>",
"newFlowName": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({nodeId: '<string>', newFlowName: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/childflow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/childflow",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'nodeId' => '<string>',
'newFlowName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/childflow"
payload := strings.NewReader("{\n \"nodeId\": \"<string>\",\n \"newFlowName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Node.js (Unirest)
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/childflow")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"nodeId\": \"<string>\",\n \"newFlowName\": \"<string>\"\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/childflow")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"nodeId\": \"<string>\",\n \"newFlowName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body
Response
201
Returns the created child Flow metadata object.
{
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intentTrainGroupReference": "<string>",
"feedbackReport": {
"findings": [{}],
"info": {
"fScore": 123
}
},
"isTrainingOutOfDate": true,
"name": "<string>",
"description": "<string>",
"context": {},
"attachedFlows": ["<string>"],
"attachedLexicons": ["<string>"],
"img": "<string>",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
Error Responses
- 400 Bad Request: Validation failed.
- 401 Unauthorized: Authentication failed.
- 403 Forbidden: Access is denied.
- 404 Not Found: Resource not found.